dnl RCT_ENABLE_DEBUG:
dnl adds a '--enable-debug' switch which enables
dnl debugging defines
AC_DEFUN([RCT_ENABLE_DEBUG],[dnl
AC_ARG_ENABLE([debug],
              AS_HELP_STRING([--enable-debug],
                             [enable debugging (default is NO)]),
              [ac_cv_enable_debug=$withval],
              [ac_cv_enable_debug=no])
AC_CACHE_CHECK([whether to enable debugging],
               [ac_cv_enable_debug],
               [ac_cv_enable_debug=no])
if test $ac_cv_enable_debug = "yes"; then
  AC_DEFINE([DEBUG], [1], [enable debug build])
  AC_DEFINE([DEBUG_LOCAL], [1], [enable local debugging with mplayer on client not using fixed vo & ao])
fi])
